> ## Documentation Index
> Fetch the complete documentation index at: https://docs.activeviam.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List market data provider accesses for a given user



## OpenAPI

````yaml /risk-and-pricing/atoti-risk-services/apis-endpoints/openapi/openapi.mintlify.json get /api/MarketDataProviderAccess
openapi: 3.0.1
info:
  title: Derivitec Api 1.0
  version: '1.0'
servers:
  - description: Derivitec Server
    url: https://api.riskportal.activeviam.com
security:
  - oauth2: []
  - apikey: []
paths:
  /api/MarketDataProviderAccess:
    get:
      tags:
        - MarketDataProviderAccess
      summary: List market data provider accesses for a given user
      operationId: Get
      parameters:
        - explode: true
          in: query
          name: organisationUserEmail
          required: false
          schema:
            type: string
          style: form
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/ApiOrganisationUserMarketDataProviderAccessGetResponse
          description: Success
        '400':
          description: BadRequest
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
      security:
        - oauth2: []
        - apikey: []
components:
  schemas:
    ApiOrganisationUserMarketDataProviderAccessGetResponse:
      required:
        - $type
      type: object
      properties:
        is_success:
          type: boolean
        error_messages:
          items:
            type: string
          nullable: true
          type: array
        entity_accesses:
          items:
            $ref: '#/components/schemas/EntityDetail'
          nullable: true
          type: array
        $type:
          type: string
          enum:
            - >-
              Derivitec.Web.Core.MarketDataProviderAccess.ApiOrganisationUserMarketDataProviderAccessGetResponse,
              Derivitec.Web.Core
    EntityDetail:
      properties:
        id:
          nullable: true
          type: string
        name:
          nullable: true
          type: string
        description:
          nullable: true
          type: string
        is_default:
          type: boolean
        entity_type:
          enum:
            - market_data_provider
            - not_set
          type: string
        is_active:
          type: boolean
        access_type:
          enum:
            - view
            - edit
            - owner
          type: string
        $type:
          type: string
          enum:
            - Derivitec.Web.Core.Entity.EntityDetail, Derivitec.Web.Core
      required:
        - $type
      type: object
  securitySchemes:
    oauth2:
      description: >-
        OAuth2 access-token requested from AWS Cognito and provided as a Auth
        Bearer header
      flows:
        implicit:
          authorizationUrl: https://auth.riskportal.derivitec.com/oauth2/authorize
          scopes: {}
      type: oauth2
    apikey:
      description: API-Key requested via the site and provided as a header
      in: header
      name: x-api-key
      type: apiKey

````